Skip to content
AquadactylAquadactyl
API referenceApplication API

Nests and eggs

4 source-verified application API operations in Aquadactyl.

Generated from Aquadactyl 2bfd6ae2a30c. Read authentication and conventions first.

GET /api/application/nests

Return all Nests that exist on the Panel.

Access: Administrator account; nests ACL READ.

Source: Route · Controller · Request validation

Validation is inherited from ApplicationApiRequest.php.

Other controller inputs: per_page.

Response

Success: 200. Response attributes: Application NestTransformer. Collections use the list envelope described in conventions.

Response construction and endpoint behavior

This source excerpt includes conditional responses, metadata, pagination, and service calls for this operation.

$nests = $this->repository->paginated($request->query('per_page') ?? 50);

return $this->fractal->collection($nests)
    ->transformWith($this->getTransformer(NestTransformer::class))
    ->toArray();

Example request

curl --get "${PANEL_URL}/api/application/nests" \
  --header "Authorization: Bearer ${APPLICATION_API_KEY}" \
  --header "Accept: application/json"

GET /api/application/nests/{nest:id}

Return information about a single Nest model.

Access: Administrator account; nests ACL READ.

Source: Route · Controller · Request validation

Validation is inherited from ApplicationApiRequest.php.

Path parameters: nest:id. See identifiers.

Response

Success: 200. Response attributes: Application NestTransformer. Collections use the list envelope described in conventions.

Response construction and endpoint behavior

This source excerpt includes conditional responses, metadata, pagination, and service calls for this operation.

return $this->fractal->item($nest)
    ->transformWith($this->getTransformer(NestTransformer::class))
    ->toArray();

Example request

curl --get "${PANEL_URL}/api/application/nests/RESOURCE_ID" \
  --header "Authorization: Bearer ${APPLICATION_API_KEY}" \
  --header "Accept: application/json"

GET /api/application/nests/{nest:id}/eggs

Return all eggs that exist for a given nest.

Access: Administrator account; eggs ACL READ.

Source: Route · Controller · Request validation

Validation is inherited from ApplicationApiRequest.php.

Path parameters: nest:id. See identifiers.

Response

Success: 200. Response attributes: Application EggTransformer. Collections use the list envelope described in conventions.

Response construction and endpoint behavior

This source excerpt includes conditional responses, metadata, pagination, and service calls for this operation.

return $this->fractal->collection($nest->eggs)
    ->transformWith($this->getTransformer(EggTransformer::class))
    ->toArray();

Example request

curl --get "${PANEL_URL}/api/application/nests/RESOURCE_ID/eggs" \
  --header "Authorization: Bearer ${APPLICATION_API_KEY}" \
  --header "Accept: application/json"

GET /api/application/nests/{nest:id}/eggs/{egg:id}

Return a single egg that exists on the specified nest.

Access: Administrator account; eggs ACL READ.

Source: Route · Controller · Request validation

Validation is inherited from ApplicationApiRequest.php.

Path parameters: nest:id, egg:id. See identifiers.

Response

Success: 200. Response attributes: Application EggTransformer. Collections use the list envelope described in conventions.

Response construction and endpoint behavior

This source excerpt includes conditional responses, metadata, pagination, and service calls for this operation.

return $this->fractal->item($egg)
    ->transformWith($this->getTransformer(EggTransformer::class))
    ->toArray();

Example request

curl --get "${PANEL_URL}/api/application/nests/RESOURCE_ID/eggs/RESOURCE_ID" \
  --header "Authorization: Bearer ${APPLICATION_API_KEY}" \
  --header "Accept: application/json"